@font-face {
  font-family: Geist;
  src: url(./fonts/Geist/static/Geist-Regular.ttf);
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: Amiri;
  src: url(./fonts/Fraunces/static/Fraunces_72pt_Soft-ThinItalic.ttf);
  font-weight: normal;
  font-style: normal;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;

  --color-white: #f7f7f7;
  --color-black: #121212;

  --font-size: 16px;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  background-color: var(--color-white);
  color: var(--color-black);
  font-weight: normal;
  font-size: var(--font-size);
  font-family: "Geist", sans-serif;
  padding: 20px;
  line-height: 1.25;
}

h1,
h2,
h3 {
  font-weight: normal;
  font-size: inherit;
  font-family: "Geist", sans-serif;
}

h1 {
  transition: all 0.6s cubic-bezier(0, 0.55, 0.45, 1);
}

h1:hover {
  rotate: -90deg;
}

h1 span {
  outline: 1px solid currentColor;
  display: block;
  aspect-ratio: 1/1;
  height: 1.25em;
  width: 1.25em;
  border-radius: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-transform: uppercase;
}

h1 span:nth-child(6) {
  display: none;
}

h3 {
  letter-spacing: 0.25em;
  margin-bottom: 0.5em;
}

h3 span {
  letter-spacing: 1.25em;
}

.serif {
  font-family: "Amiri", serif;
  font-size: 110%;
  letter-spacing: -1%;
}

main {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

#intro {
  max-width: 300px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

#clients {
  max-width: 300px;
  text-align: center;
}

.experience {
  display: flex;
  gap: 10px;
}

.year {
  flex: 0 0 8em;
}

.censor {
  transform: translateY(20%);
  display: inline-block;
  margin: 0 0.125em;
  opacity: 0.2;
}

.pill {
  outline: 1px solid currentColor;
  padding: 0.125em 0.25em;
  display: inline-block;
  border-radius: 0.25em;
  font-size: 60%;
  transform: translateY(-18%);
}

#socials {
  display: flex;
  gap: 1em;
}

a {
  text-decoration: none;
  color: currentColor;
  display: inline-block;
  width: fit-content;
  letter-spacing: 10%;
}

a span {
  display: inline-block;
  transition: transform 0.3s ease;
}
